Date: Sun, 14 Jun 1998 20:19:09 -0500
From: Chris Lawrence <quango@ix.netcom.com>
To: Linux/m68k Mailing List <linux-m68k@lists.linux-m68k.org>
Subject: L68K: parttable patch (2.1.105+)
Mail-Followup-To: Linux/m68k Mailing List <linux-m68k@lists.linux-m68k.org>
Organization: Kathie Lee's Sweatshops
X-Operating-System: Linux/m68k 2.1.105
Sender: owner-linux-m68k@phil.uni-sb.de

This patch should fix compilation with both MD support and Roman's partition
table code enabled; it should be applied after Roman's partition patch:

--- clean-linux-2.1.105/kernel/ksyms.c	Sat May 30 21:32:42 1998
+++ linux-2.1.105/kernel/ksyms.c	Sun Jun 14 20:15:27 1998
@@ -69,6 +69,7 @@
 extern void set_device_ro(kdev_t dev,int flag);
 extern struct file_operations * get_blkfops(unsigned int);
 extern int blkdev_release(struct inode * inode);
+extern char *disk_name (struct gendisk *hd, int minor, char *buf);
 #if !defined(CONFIG_NFSD) && defined(CONFIG_NFSD_MODULE)
 extern int (*do_nfsservctl)(int, void *, void *);
 #endif


Chris
-- 
=============================================================================
|       Chris Lawrence       |                My home page:                 |
|   <quango@ix.netcom.com>   |      http://www.clark.net/pub/lawrencc/      |
|                            |                                              |
|     Amiga A4000/040 and    |            Watch Babylon 5 on TNT            |
|    Linux/m68k 2.0.33pl1    |   <*> http://tnt.turner.com/babylon5/ <*>    |
=============================================================================
